Bug 84514 - Plot options in chart series format are not shown for charts with internal data
Summary: Plot options in chart series format are not shown for charts with internal data
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
4.2.6.2 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Katarina Behrens
URL:
Whiteboard: target:4.5.0 target:4.4.2
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2014-09-30 14:38 UTC by Francisco
Modified: 2015-12-17 08:36 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Francisco 2014-09-30 14:38:45 UTC
This is regarding charts copied from Calc into Writer or any other application. Format Plot options are not shown in the format dialog. I'll give a more detailed description together with the steps to reproduce. 

Steps to reproduce:
1) Generate a line, bar or scatter chart in Calc, with one or more series
2) Select one of the series, and press the "format button" in the toolbar; or via right click -> format.
3) The "Data Series" dialog appear. The first tab is called "Options" and there are some configurations available there. For bar charts there are "Align data series to", "Settings", "Plot options", while for line or scatter, only the 1º and 3º are shown. You may change any of this options.
4) Copy and paste this chart in other application (Writer, Draw, Impress).
5) Activate of OLE object, and try to format one of the series

Expected behavior
1) All the options available when creating that chart in Calc are available again.

Current behavior:
1) Plot options are not shown in the "Data series" dialog (only the words "plot options" appear".
Comment 1 raal 2014-10-18 19:04:31 UTC
I can confirm with Version: 4.4.0.0.alpha0+
Build ID: 9aa36a1ad39e37c372cc833a44fba450b8cc30cd
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2014-10-09_04:46:44

Works in LibreOffice 3.5.0 , regression.
Comment 2 raal 2014-10-18 19:14:50 UTC
e128a0b9bd133d989b87354bd271ef25c642b7bc is the first bad commit
commit e128a0b9bd133d989b87354bd271ef25c642b7bc
Author: Bjoern Michaelsen <bjoern.michaelsen@canonical.com>
Date:   Thu Oct 17 18:29:44 2013 +0000

    source-hash-7be71336862204f0763fc2f8cf62a6f48f341114
    
    commit 7be71336862204f0763fc2f8cf62a6f48f341114
    Author:     Matúš Kukan <matus.kukan@gmail.com>
    AuthorDate: Tue Jul 16 20:46:48 2013 +0200
    Commit:     Matúš Kukan <matus.kukan@gmail.com>
    CommitDate: Tue Jul 16 20:54:07 2013 +0200
    
        there is no libfbembed module
    
        Change-Id: I9c95b826fb3b48a4430fe9e869b1e3fa45682574

:100644 100644 0c71acddee9aac30eeb2053119e2590c03458c29 fcc1450416d019eae6c0b28c2a82f5d4f42953c4 M	autogen.log
:100644 100644 cf818efc4efa98dc54c53ec32be6b8413e1538d8 c8d620765754b850c1d357a958702a657c7cfe14 M	ccache.log
:100644 100644 b2b4cae57b151f1949a6a8aceca17a54686d0076 9ba4862e6713f1a3a4c08d196e15c2128a939595 M	commitmsg
:100644 100644 90cc6f203d87a733288a1e3fd816324b62c25e45 83c85782d639aae866bf5f9261b7e17980335f67 M	dev-install.log
:100644 100644 911329c9e7f5014dd76c62bfbf78e1b260884f17 83df949ff824cbaef7378e36af688b9995e6d1e5 M	make.log
:040000 040000 854f5173fa9f68a863965820d7bc55a592050424 920922a0300d050f858c415129e98b8a0f1a4954 M	opt


 git bisect log
# bad: [423a84c4f7068853974887d98442bc2a2d0cc91b] source-hash-c15927f20d4727c3b8de68497b6949e72f9e6e9e
# good: [65fd30f5cb4cdd37995a33420ed8273c0a29bf00] source-hash-d6cde02dbce8c28c6af836e2dc1120f8a6ef9932
git bisect start 'latest' 'oldest'
# good: [e02439a3d6297a1f5334fa558ddec5ef4212c574] source-hash-6b8393474974d2af7a2cb3c47b3d5c081b550bdb
git bisect good e02439a3d6297a1f5334fa558ddec5ef4212c574
# bad: [4850941efe43ae800be5c76e1102ab80ac2c085d] source-hash-980a6e552502f02f12c15bfb1c9f8e6269499f4b
git bisect bad 4850941efe43ae800be5c76e1102ab80ac2c085d
# skip: [a043626b542eb8314218d7439534dce2fc325304] source-hash-9379a922c07df3cdb7d567cc88dfaaa39ead3681
git bisect skip a043626b542eb8314218d7439534dce2fc325304
# skip: [aba65c3e4c0df07e4909aeefb758cdb688242bf6] source-hash-827524abfb4b577d08276fde40929a9adfb7ff1a
git bisect skip aba65c3e4c0df07e4909aeefb758cdb688242bf6
# skip: [aba65c3e4c0df07e4909aeefb758cdb688242bf6] source-hash-827524abfb4b577d08276fde40929a9adfb7ff1a
git bisect skip aba65c3e4c0df07e4909aeefb758cdb688242bf6
# bad: [c81a8a0dcfc1ed095a80e4485c89dd0fcaf73f31] source-hash-c69ed33628ec0b7abf6296539cf280d6c4265930
git bisect bad c81a8a0dcfc1ed095a80e4485c89dd0fcaf73f31
# bad: [c81a8a0dcfc1ed095a80e4485c89dd0fcaf73f31] source-hash-c69ed33628ec0b7abf6296539cf280d6c4265930
git bisect bad c81a8a0dcfc1ed095a80e4485c89dd0fcaf73f31
# bad: [1d4980621741d3050a5fe61b247c157d769988f2] source-hash-89d01a7d8028ddb765e02c116d202a2435894217
git bisect bad 1d4980621741d3050a5fe61b247c157d769988f2
# bad: [ba096f438393091574da98fe7b8e6b05182a8971] source-hash-8499e78ca03c792f4fa2650e02b519094ba0baa8
git bisect bad ba096f438393091574da98fe7b8e6b05182a8971
# good: [9daa289e178460daaafa4b3911031df5b8736218] source-hash-704292996a3731a61339b1a4a5c90c9403aa095f
git bisect good 9daa289e178460daaafa4b3911031df5b8736218
# good: [34eab3946c46bb7273ba4ca395db9c4421dd232f] source-hash-e962805b31074d6b6a2ed0db6452769448337553
git bisect good 34eab3946c46bb7273ba4ca395db9c4421dd232f
# bad: [a8577b9049e085140768f97f7d4ff555a8a447cb] source-hash-98ded3e42011b060368899018c07cbd32e7993f1
git bisect bad a8577b9049e085140768f97f7d4ff555a8a447cb
# bad: [e128a0b9bd133d989b87354bd271ef25c642b7bc] source-hash-7be71336862204f0763fc2f8cf62a6f48f341114
Comment 3 Matthew Francis 2014-12-28 09:25:46 UTC
The behaviour appears to have changed from the below commit.

Adding Cc: to olivier.hallot@documentfoundation.org. Could you possibly take a look at this? Thanks


commit 7aa0f418f7ebe3f94062ed52e3234d10687180c8
Author: Olivier Hallot <olivier.hallot@edx.srv.br>
Date:   Mon Jul 15 00:22:56 2013 -0300

    Convert tp_SeriesToAxis.src to tp_SeriesToAxis.ui
    
    Change-Id: Ida1be6cc97e2a96537dddd3c8d6dc91c451adf7a
    Reviewed-on: https://gerrit.libreoffice.org/4906
    Reviewed-by: Caolán McNamara <caolanm@redhat.com>
    Tested-by: Caolán McNamara <caolanm@redhat.com>
Comment 4 Katarina Behrens 2015-02-13 12:55:38 UTC
Seems logerritbot was sleeping at night and didn't add the notification of my commit to this bug: 

http://cgit.freedesktop.org/libreoffice/core/commit/?id=359cfa160b02aef5bb9f792a4650f18279f9eee8

this will be fixed in 4.5
Comment 5 Francisco 2015-02-13 13:11:26 UTC
(In reply to Katarina Behrens from comment #4)
> Seems logerritbot was sleeping at night and didn't add the notification of
> my commit to this bug: 
> 
> http://cgit.freedesktop.org/libreoffice/core/commit/
> ?id=359cfa160b02aef5bb9f792a4650f18279f9eee8
> 
> this will be fixed in 4.5

Oh, thank you Katarina for your work. Will it be backported to 4.4?
Comment 6 Katarina Behrens 2015-02-16 23:07:11 UTC
4.4 code review requested
Comment 7 Katarina Behrens 2015-02-17 11:06:01 UTC
Argh, logerritbot doesn't really like this bug. Anyway, backported. For the next 4.4 release, whichever that is (4.4.2, I think)
Comment 8 Adolfo Jayme 2015-02-17 11:22:18 UTC
(In reply to Katarina Behrens from comment #7)
> Argh, logerritbot doesn't really like this bug.

Bugzilla got upgraded again and that broke the bot :-(
Comment 9 Francisco 2015-02-17 14:49:21 UTC
(In reply to Katarina Behrens from comment #7)
> Argh, logerritbot doesn't really like this bug. Anyway, backported. For the
> next 4.4 release, whichever that is (4.4.2, I think)

Thank you very much, Katarina :-)
Comment 10 Robinson Tryon (qubit) 2015-12-17 08:36:35 UTC
Migrating Whiteboard tags to Keywords: (bibisected)
[NinjaEdit]